.TH cmddump 1 2001-02-22
.SH Name
cmddump \- simulated TRS-80 CMD file loader
.SH Syntax
\fBcmddump\fP \fI[flags] infile [outfile startbyte nbytes]\fP
.SH Description
.B cmddump
displays information about TRS-80 DOS binary (command) files.  It takes
an optional set of \fIflags\fP (described below), an input /cmd file, and
an optional \fIoutfile\fP, an optional starting offset of \fIstartbyte\fP
into the /cmd file, and an optional \fInbytes\fP number of bytes to dump.
Non-flag arguments must be given in the order shown.  If the optional
arguments are given, the given byte range is dumped from the simulated
memory after loading.
.SH Options
.TP
\fB-d\fP
print detailed map; same as -m, but don't coalesce
.TP
\fB-i\fP \fIn\fP
select ISAM entry \fIn\fP (0x notation OK)
.TP
\fB-m\fP
print running load map as file is parsed, coalescing adjacent blocks
(implies -t) (default)
.TP
\fB-p\fP \fIfoo\fP
select PDS entry \fIfoo\fP (padded to 8 bytes with spaces)
.TP
\fB-q\fP
quiet; turns off -t, -m, -d, -s (later flags can override)
.TP
\fB-s\fP
print summary load map after file is parsed
.TP
\fB-t\fP
print text of module headers, pds headers, patch names, and copyright
notices
.TP
\fB-x\fP
ignore anything after the first transfer address
.SH Author
.B cmddump
was written by Timothy Mann.
This man page was generated by Branden Robinson from comments in the
source code.
.SH See also
.IR xtrs (1)
.PP
See the LDOS Quarterly, April 1, 1982 (Vol 1, No 4), for documentation of
the TRS-80 DOS /cmd file format.  
It is available on the Web at http://www.tim-mann.org/misosys.html.
